//////////////////////////////////////////////////////////////////////////////////
//  Bacis3D.fsh
//  Simple 3D model drawing fragment shader
//
//  Created by Bojan Endrovski on 23/09/2010.
//  Copyright Bojan Endrovski 2010. All rights reserved.
//////////////////////////////////////////////////////////////////////////////////


// From vertex shader to fragment
//varying vec2            v_position;
varying mediump vec2    v_texture;
varying lowp    vec3    v_color;

// Constants (aka uniforms)
uniform sampler2D s_texture;        // Texture sampler

void main()
{
    // mediump vec4 clr = vec4(1.0, 0.0, 0.0, 1.0);
    
    mediump vec4 clr = texture2D(s_texture, v_texture);
    gl_FragColor = clr * vec4(v_color, 1.0);
}
