//
//  Particles3D.vsh
//  Debug Draw 2D vertex shader
//
//  Created by Bojan Endrovski on 23/09/2010.
//  Copyright Bojan Endrovski 2010. All rights reserved.
//

// Varying color
varying lowp vec4 v_color;              // input from vertex shader

// Diffuse
uniform sampler2D s_texture;            // texture sampler

void main()
{    
    // Sample color texture
    lowp vec4 color = texture2D(s_texture, gl_PointCoord.st);
    //lowp vec4 color = vec4(1.0, 1.0, 1.0, 1.0);
    
    if(color.a < 0.25)
        discard;
    
    gl_FragColor = color * v_color;
}